Kerbal Space Program - Bug #16364

physics bug version 1.3.1
10/31/2017 11:53 AM - unclejace

Status: Closed Start date: 10/31/2017
Severity: Low % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 1.3.1 Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

There definitely seems to be some issues with physics in 1.3.1. Beside the ship jump as described in #16090 (
https://bugs.kerbalspaceprogram.com/issues/16090), | noticed issues on EVA. Kerbal was carrying a container. Mobility changed
accordingly with added mass of container, but when the container was no longer part of kerbal's inventory, her mobility became
erratic, including violent uncontrolled spin. | was able to stop the spin by shutting off RCS and then turning it on again, but not
consistently.

Secondly, container on the back of the kerbal seems to be an apparition, not a solid, as it passes through ship components while on
the kerbal's back. As soon as the container was no longer in the inventory, it interacted normally with other solids. Quantum
container?

History

#1 - 11/06/2017 12:48 PM - Technicalfool

- Status changed from New to Need More Info

This could be a stock issue or it could be KIS/KAS. Without more information (a stock reproduction of wonky EVA physics would be ideal), it's difficult
to fix the problem or know if there is a problem.

#2 - 11/08/2017 01:12 PM - unclejace
Technicalfool wrote:
This could be a stock issue or it could be KIS/KAS. Without more information (a stock reproduction of wonky EVA physics would be ideal), it's

difficult to fix the problem or know if there is a problem.

Will try to get video file when it next occurs

#3 - 11/13/2017 10:54 AM - Squelch

- Severity changed from Critical to Low

We really need a reproduction in an unmodded game to be able to investigate this. Priority reduced.
Please see our wiki for details on how to report and what priorities mean.

#4 - 11/13/2017 02:20 PM - unclejace

On most recent EVA | was unable to reproduce the issue. Secondly,| have KIS and KAS installed. | will retract my concerns on this issue until | can
more substantiate it. Thanks for advice on reporting bugs.

#5 - 07/29/2019 10:19 PM - chris.fulton
- Status changed from Need More Info to Resolved

- % Done changed from 0 to 100

#6 - 07/29/2019 10:19 PM - chris.fulton

- Status changed from Resolved to Closed
Closed in efforts of database cleanup.
